// This program will read a music file with pitch/duration pairs and will play
// the corresponding notes using a guitar object.

import java.io.*;
import java.util.*;
import javax.swing.*;

public class PlayThatTune {
    public static void main(String[] args) throws FileNotFoundException {
        JFileChooser chooser = new JFileChooser(new File("."));
        int result = chooser.showOpenDialog(null);
        if (result == JFileChooser.APPROVE_OPTION) {
            Scanner input = new Scanner(chooser.getSelectedFile());
            Guitar g = new Guitar37();
            while (input.hasNextInt()) {
                int pitch = input.nextInt();
                double duration = input.nextDouble();
                g.playNote(pitch);
                advance(duration, g);
            }
        }
    }

    // advances the simulation for the given Guitar object by the given
    // duration of time (in seconds)
    public static void advance(double duration, Guitar g) {
        int tics = (int) Math.round(duration * StdAudio.SAMPLE_RATE);
        for (int i = 0; i < tics; i++) {
            g.play();
            g.tic();
        }
    }
}
